liburcu (0.14.0-1) unstable; urgency=medium

  * [b470d6b] New upstream version 0.14.0 (Closes: #1032717)
  * [34a5016] Refresh patches for 0.14.0
  * [25af42b] Update symbols for 0.14.0
  * [ba4f49b] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 15:59:15 -0400

liburcu (0.13.2-1) unstable; urgency=medium

  * [05fc1d0] New upstream version 0.13.2
  * [95b7bdb] Update d/copyright
  * [9bc5b15] Bump standards version to 4.6.1.0

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 19 Aug 2022 12:17:45 -0400

liburcu (0.13.1-1) unstable; urgency=medium

  * [3f7883c] New upstream version 0.13.1

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Jan 2022 15:57:47 -0500

liburcu (0.13.0-3) unstable; urgency=medium

  * [3d4a120] Update salsa-ci config
  * [f853944] Update to debhelper compat 12
  * [63c0660] Fix SuperH support patch to install headers

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 01 Nov 2021 14:31:57 -0400

liburcu (0.13.0-2) unstable; urgency=medium

  * [93a4c5b] Fix symbols file for m68k and riscv64
  * [6f0527d] Add missing bits to SuperH support patch
  * [b676298] Ship examples in liburcu-dev

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 14 Sep 2021 17:11:38 -0400

liburcu (0.13.0-1) unstable; urgency=medium

  * [595738c] New upstream version 0.13.0
  * [06432b2] Refresh patches for 0.13.0
  * [f4d1389] soname bump from 6 to 8
  * [7048d5c] Update debian/copyright
  * [dd4d87e] Bump watch file version to 4

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 01 Sep 2021 16:52:30 -0400

liburcu (0.12.2-1) unstable; urgency=medium

  * [2438e54] New upstream version 0.12.2
  * [fc4c1f7] Refresh patches

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 18 Feb 2021 14:36:34 -0500

liburcu (0.12.1-2) unstable; urgency=medium

  * [b20aa24] Bump tests CPU limit to 4096 (Closes: #976920)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Jan 2021 14:52:41 -0500

liburcu (0.12.1-1) unstable; urgency=medium

  * [f19d422] New upstream version 0.12.1
  * [bee9757] Update d/copyright
  * [c7a28ee] Add Rules-Requires-Root to d/control
  * [fdee8a2] Use secure URI in Homepage field.
  * [2740a26] Set field Upstream-Name in debian/copyright.
  * [d07c705] Add upstream metadata file

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 22 Apr 2020 11:14:04 -0400

liburcu (0.12.0-1) unstable; urgency=medium

  * [bd5bcee] New upstream version 0.12.0
  * [66a2e7b] Update symbols for 0.12.0

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 09 Apr 2020 15:13:02 -0400

liburcu (0.11.1-2) unstable; urgency=medium

  * [0e610a7] Update liburcu6 symbols for risv64 and m68k

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 31 Jul 2019 14:30:48 -0400

liburcu (0.11.1-1) unstable; urgency=medium

  * [02dd0d7] Add Salsa CI configuration
  * [c404ca6] Disable Salsa CI blhc test
  * [21cec4a] New upstream version 0.11.1
  * [cae21c3] Refresh patches for 0.11.1
  * [bad2ac2] Update symbols for 0.11.1
  * [e0c8a67] Update copyright for 0.11.1

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 12 Jul 2019 16:52:01 -0400

liburcu (0.10.2-1) unstable; urgency=medium

  * [c877604] New upstream version 0.10.2
  * [04724a7] Use salsa canonical uri in VCS-Browser
  * [988dc12] Add Build-Depends-Package to symbols file
  * [5cc568e] Bump debhelper compat to 10
  * [9b32b56] Bump standards version to 4.3.0

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Jan 2019 15:59:50 -0500

liburcu (0.10.1-2) unstable; urgency=medium

  * [23e7f63] Enable riscv64 architecture using gcc atomic

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 26 Mar 2018 18:14:58 -0400

liburcu (0.10.1-1) unstable; urgency=medium

  * [0adcc02] New upstream version 0.10.1
  * [9cd7793] Drop m68k patch merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 23 Jan 2018 15:46:41 -0500

liburcu (0.10.0-3) unstable; urgency=medium

  [ Michael Jeanson ]
  * [8fc0179] Changed deprecated extra priority to optional
  * [40ebb74] Switched my uploader email to @debian.org
  * [0c0475e] Move git to salsa.debian.org
  * [1e5893e] Fix debian-rules-sets-dpkg-architecture-variable
  * [029ddf9] Use https in watch file
  * [160d14e] Bump standards version to 4.1.3, no changes necessary

  [ Cyril Brulebois ]
  * [c8a261b] Add a liburcu6 udeb, needed by multipath-udeb (See: #885556).

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 15 Jan 2018 11:12:44 -0500

liburcu (0.10.0-2) unstable; urgency=medium

  * [7ef3bce] Add missing m68k headers

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 14 Jul 2017 10:47:55 -0400

liburcu (0.10.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [722d4fa] Move to DEP-14 branch naming
  * [8808bbc] New upstream version 0.10.0
  * [a12f998] Drop and refresh patches for 0.10.0
  * [0ac4d0d] soname bump from 4 to 6
  * [b05b828] Update copyright file
  * [336c83d] Update symbols for 0.10.0
  * [b958e1c] Enable hardening flags

  [ Jon Bernard ]
  * [c7144d0] Bump standards version to 4.0.0, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Fri, 30 Jun 2017 20:13:12 +0000

liburcu (0.9.3-5) experimental; urgency=medium

  * [6056906] Update symbols for m68k arch

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 25 Apr 2017 15:08:40 -0400

liburcu (0.9.3-4) experimental; urgency=medium

  * [10d6807] Enable m68k architecture using gcc atomic (Closes: #860154)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 21 Apr 2017 17:11:12 -0400

liburcu (0.9.3-3) unstable; urgency=medium

  * Re-upload to unstable

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 01 Mar 2017 12:21:25 -0500

liburcu (0.9.3-2) experimental; urgency=medium

  * [8d0ac87] Add dev package multiarch support
  * [d0aa019] Add missing descriptions to patches

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 28 Feb 2017 14:21:23 -0500

liburcu (0.9.3-1) unstable; urgency=medium

  * [d4444ca] New upstream version 0.9.3
  * [8b7b1b7] Refreshed patches for 0.9.3
  * [ed871ba] Update symbols for 0.9.3

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 30 Nov 2016 16:46:54 -0500

liburcu (0.9.2-3) unstable; urgency=medium

  * [8ea4379] Make build reproducible
  * [96e8235] Add Michael Jeanson as uploader

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 07 Jul 2016 12:01:54 -0400

liburcu (0.9.2-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [b8201d0] Fix build on the hurd
  * [cd9476c] Fix watch file

 -- Jon Bernard <jbernard@debian.org>  Sun, 05 Jun 2016 22:03:05 +0000

liburcu (0.9.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [c3f9a86] Add pgpsigurlmangle and uversionmangle to watch file
  * [719f6fe] Update vcs fields to use secure uri
  * [fadd226] New upstream version 0.9.2
  * [50d51c6] Bump standards version to 3.9.8, no changes necessary
  * [dc21d25] Refreshed patches for 0.9.2
  * [ed4e82b] Drop patches merged upstream
  * [f8eef5b] Update copyright file

 -- Jon Bernard <jbernard@debian.org>  Tue, 03 May 2016 15:05:35 -0400

liburcu (0.9.1-3) unstable; urgency=medium

  [ Michael Jeanson ]
  * [24dc2c0] Fix build on kfreebsd
  * [12f50c6] Disable sys_futex on mips (Closes: #804726)

 -- Jon Bernard <jbernard@debian.org>  Tue, 01 Dec 2015 19:49:35 +0000

liburcu (0.9.1-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [bbdf92d] Fix regtest hang (Closes: #804726)

 -- Jon Bernard <jbernard@debian.org>  Thu, 12 Nov 2015 02:53:27 +0000

liburcu (0.9.1-1) unstable; urgency=medium

  [ Jon Bernard ]
  * [60bd23e] Imported Upstream version 0.9.1
  * [1f23084] Drop quilt build dependency and --with quilt call
    (Closes: #803495)
  * [4200adb] Update liburcu4 symbols file

  [ Michael Jeanson ]
  * [bc65996] Drop and refresh patches for 0.9
  * [9d9757c] Bump liburcu SONAME to 4

 -- Jon Bernard <jbernard@debian.org>  Tue, 10 Nov 2015 03:06:39 +0000

liburcu (0.8.8-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [3f0830e] New upstream version 0.8.8

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Sep 2015 20:08:02 +0000

liburcu (0.8.7-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [8ba5541] Enable regression tests at build time (Closes: #754403)
  * [08d5380] Enable sh4 architecture using gcc atomic (Closes: #779541)

 -- Jon Bernard <jbernard@debian.org>  Fri, 19 Jun 2015 15:36:40 +0000

liburcu (0.8.7-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [e2463e9] New upstream version 0.8.7

 -- Jon Bernard <jbernard@debian.org>  Fri, 29 May 2015 18:03:37 +0000

liburcu (0.8.6-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [177b1b1] Enable hppa architecture using gcc atomic.
    Thanks to Helge Deller <deller@gmx.de> (Closes: #776924)

 -- Jon Bernard <jbernard@debian.org>  Fri, 13 Feb 2015 16:24:16 +0000

liburcu (0.8.6-1) unstable; urgency=medium

  * [8633d09] New upstream version 0.8.6

 -- Jon Bernard <jbernard@debian.org>  Tue, 18 Nov 2014 20:32:47 +0000

liburcu (0.8.5-1) unstable; urgency=medium

  * [a322cf3] New upstream version 0.8.5
  * [130372a] Update symbols file for new version
  * [d26f201] Bump standards version, no changed necessary

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Oct 2014 20:39:51 +0000

liburcu (0.8.4-6) unstable; urgency=medium

  * [2d72312] Use gcc atomics on aarch64 for bootstrapping.
    Thanks to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> (Closes: #750894)

 -- Jon Bernard <jbernard@debian.org>  Tue, 17 Jun 2014 14:35:34 -0400

liburcu (0.8.4-5) unstable; urgency=low

  * [6932c7f] Include patch to support ppc64le builds.
    Thanks to Breno Leitao (Closes: #749926)

 -- Jon Bernard <jbernard@debian.org>  Wed, 04 Jun 2014 14:42:02 -0400

liburcu (0.8.4-4) unstable; urgency=low

  * [049332d] Mark liburcu2 as a multiarch package (Closes: #742199)

 -- Jon Bernard <jbernard@debian.org>  Thu, 29 May 2014 20:22:02 -0400

liburcu (0.8.4-3) unstable; urgency=low

  * [c69bbc8] Remove dh_auto_configure override to fix ARM builds
  * [416f574] Update install files to include build target

 -- Jon Bernard <jbernard@debian.org>  Wed, 28 May 2014 20:21:52 -0400

liburcu (0.8.4-2.1) unstable; urgency=high

  * Non-maintainer upload
  * Don't enable dmb on armel (Closes: #745891)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 May 2014 15:28:37 +0200

liburcu (0.8.4-2) unstable; urgency=low

  [ Michael Jeanson ]
  * [04cf85f] Fix FTBFS on amrel and armhf (Closes: #743403)
  * [b515ef6] Use dpkg-buildflags to build with hardened flags

 -- Jon Bernard <jbernard@debian.org>  Thu, 03 Apr 2014 20:31:36 -0400

liburcu (0.8.4-1) unstable; urgency=low

  * [18d8f23] New upstream version 0.8.4
  * [2732dc7] Bump standards version, no changes necessary
  * [a9d1d76] Update VCS fields to make lintian happy
  * [cca1e6c] Include additional docs and example code
  * [ad1838b] Bump soname and update symbols file
  * [6790b2a] Re-enable build-time tests (Closes: #718409)

 -- Jon Bernard <jbernard@debian.org>  Sun, 16 Mar 2014 19:59:56 -0400

liburcu (0.7.7-1) unstable; urgency=low

  * [168b2c5] New upstream version 0.7.7
  * [f07b6db] Bump Standards-Version to 3.9.4, no changes necessary
  * [8f2716c] Remove backport patch for sparc, included upstream
  * [10ec904] Include pkgconfig files in liburcu-dev package (Closes: #710544)
  * [cfa7bd6] Prevent hiding of gcc commandline arguments

 -- Jon Bernard <jbernard@debian.org>  Thu, 01 Aug 2013 21:43:09 -0400

liburcu (0.7.6-2) unstable; urgency=low

  * [08b0bb6] Include upstream fix for FTBFS on sparc.
    Thanks to Faidon Liambotis (Closes: #705037)
  * [7a962a2] Add symbols file for liburcu1.
    Thanks to Faidon Liambotis

 -- Jon Bernard <jbernard@debian.org>  Sat, 11 May 2013 15:34:12 -0400

liburcu (0.7.6-1) unstable; urgency=low

  * [4506e88] New upstream version 0.7.6

 -- Jon Bernard <jbernard@debian.org>  Sun, 20 Jan 2013 16:47:51 -0500

liburcu (0.7.5-1) unstable; urgency=low

  * [acdba4a] New upstream version 0.7.5

 -- Jon Bernard <jbernard@debian.org>  Fri, 12 Oct 2012 08:46:48 -0400

liburcu (0.7.4-2) unstable; urgency=low

  * [563adcf] Override dh_makeshlibs to tighten symbol dependencies

 -- Jon Bernard <jbernard@debian.org>  Sat, 29 Sep 2012 11:21:09 -0400

liburcu (0.7.4-1) unstable; urgency=low

  * [6a8726f] Set Architecture to any
  * [c6851ed] New upstream version 0.7.4

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 14:23:01 -0400

liburcu (0.7.3-1) unstable; urgency=low

  * [d010fe8] New upstream version 0.7.3
  * [44ec675] Remove obsolete debian patches
  * [1100ae7] Bump debhelper compatibility to 9
  * [d3c7ce2] Bump Sandards-Version to 3.9.3

 -- Jon Bernard <jbernard@debian.org>  Thu, 28 Jun 2012 20:51:57 -0400

liburcu (0.6.7-2) unstable; urgency=low

  * [5e454ad] Add support for armhf.
    Thanks to Konstantinos Margaritis (Closes: #645398)

 -- Jon Bernard <jbernard@debian.org>  Wed, 11 Jan 2012 09:30:18 -0500

liburcu (0.6.7-1) unstable; urgency=low

  * [1520cd9] New upstream version 0.6.7

 -- Jon Bernard <jbernard@debian.org>  Sun, 01 Jan 2012 19:38:59 -0500

liburcu (0.6.6-1) unstable; urgency=low

  * [bb4ff5c] New upstream version 0.6.6

 -- Jon Bernard <jbernard@debian.org>  Wed, 16 Nov 2011 15:08:22 -0500

liburcu (0.6.5-1) unstable; urgency=low

  * [5287458] New upstream version 0.6.5

 -- Jon Bernard <jbernard@debian.org>  Wed, 05 Oct 2011 20:19:04 -0400

liburcu (0.6.4-1) unstable; urgency=low

  * [78aa227] New upstream version 0.6.4

 -- Jon Bernard <jbernard@debian.org>  Tue, 26 Jul 2011 09:35:15 -0400

liburcu (0.6.3-1) unstable; urgency=low

  * [d734865] New upstream version 0.6.3
  * [ebf7a34] Remove unneeded .la files

 -- Jon Bernard <jbernard@debian.org>  Tue, 05 Jul 2011 09:53:23 -0400

liburcu (0.6.2-1) unstable; urgency=low

  * [7844d8b] New upstream version 0.6.2
  * [3268e44] Bump standards version to 3.9.2, no changes necessary
  * [22c74d6] Remove article from start of description synopses
  * [6878138] Bump soname so the package name matches the library name

 -- Jon Bernard <jbernard@debian.org>  Sun, 19 Jun 2011 09:14:32 -0400

liburcu (0.5.4-1) unstable; urgency=low

  * [4262c6c] Update watchfile url
  * [6c28711] New upstream version 0.5.4

 -- Jon Bernard <jbernard@debian.org>  Tue, 08 Mar 2011 20:27:34 -0500

liburcu (0.5.2-1) unstable; urgency=low

  * [5810af] New upstream version 0.5.2
  * [9ac3e4] Convert patches to git-buildpackages' patch-queue format
  * [7c4532] Add support for powerpcspe (Closes: #586145) - thanks to
    Sebastian Andrzej Siewior

 -- Jon Bernard <jbernard@debian.org>  Sat, 04 Dec 2010 15:01:23 -0500

liburcu (0.4.8-1) unstable; urgency=low

  * [6e6727] Imported Upstream version 0.4.8

 -- Jon Bernard <jbernard@debian.org>  Sat, 25 Sep 2010 19:19:45 -0400

liburcu (0.4.6-2) unstable; urgency=low

  * [8d60a0] Set debian source format to 3.0 (quilt)
  * [518f07] Add patch to fix sparc host cpu detection
  * [a39d2a] Bump standards version to 3.9.1, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Tue, 10 Aug 2010 13:11:59 -0400

liburcu (0.4.6-1) unstable; urgency=low

  * [f0ccbd] Imported Upstream version 0.4.6

 -- Jon Bernard <jbernard@debian.org>  Fri, 18 Jun 2010 14:05:21 -0400

liburcu (0.4.4-1) unstable; urgency=low

  * [8f2038] Add Vcs fields to debian/control
  * [a1415d] Imported Upstream version 0.4.4
  * [73c8ab] Prevent dh_auto_test from running, target is broken

 -- Jon Bernard <jbernard@debian.org>  Thu, 20 May 2010 22:21:00 -0400

liburcu (0.4.3-2) unstable; urgency=low

  * Include alpha as a supported architecture

 -- Jon Bernard <jbernard@debian.org>  Sun, 07 Mar 2010 18:54:59 -0500

liburcu (0.4.3-1) unstable; urgency=low

  * Imported Upstream version 0.4.3

 -- Jon Bernard <jbernard@debian.org>  Sun, 07 Mar 2010 10:39:55 -0500

liburcu (0.4.2-1) unstable; urgency=low

  * Imported Upstream version 0.4.2
  * Remove redundant section definition for liburcu0

 -- Jon Bernard <jbernard@debian.org>  Sat, 06 Mar 2010 11:16:01 -0500

liburcu (0.4.1-1) unstable; urgency=low

  * Imported Upstream version 0.4.1 (Closes: #557027, #568621, #559722)
  * Set proper CFLAGS for sparc architecture
  * Restrict architectures to the set currently supported
  * Override dh_auto_configure to run configure properly
  * Document changes for 0.4.1-1 release

 -- Jon Bernard <jbernard@debian.org>  Sun, 14 Feb 2010 11:57:59 -0500

liburcu (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * debian/control: bump Standards-Version to 3.8.4

 -- Jon Bernard <jbernard@debian.org>  Wed, 03 Feb 2010 20:22:13 -0500

liburcu (0.3.4-1) unstable; urgency=low

  * New upstream release

 -- Jon Bernard <jbernard@debian.org>  Fri, 22 Jan 2010 12:31:17 -0500

liburcu (0.3.2-1) unstable; urgency=low

  * New upstream release
  * debian/liburcu-dev.docs: include additional documentation

 -- Jon Bernard <jbernard@debian.org>  Tue, 15 Dec 2009 09:38:31 -0500

liburcu (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #548931)

 -- Jon Bernard <jbernard@debian.org>  Wed, 11 Nov 2009 13:46:29 -0500
